/*
 * @file BishBashBosh_modB_Im.c
 * Module Interface for Module BishBashBosh_modB_Im
 */
/*
 ##############################################################
 # (C) 2016 BAE SYSTEMS
 #
 # ECOA Bish Bash Bosh Sample
 #
 # $Id: BishBashBosh_modB_Im.c,v 1.3 2017/11/06 15:33:39 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/

#include "BishBashBosh_modB_Im.h"
#include <stdio.h>

void BishBashBosh_modB_Im__INITIALIZE__received(BishBashBosh_modB_Im__context *context)
{
   /* User Code Here */
}

void BishBashBosh_modB_Im__START__received(BishBashBosh_modB_Im__context *context)
{
   /* User Code Here */
}

void BishBashBosh_modB_Im__STOP__received(BishBashBosh_modB_Im__context *context)
{
   /* User Code Here */
}

void BishBashBosh_modB_Im__SHUTDOWN__received(BishBashBosh_modB_Im__context *context)
{
   /* User Code Here */
}

void BishBashBosh_modB_Im__Bish__received(BishBashBosh_modB_Im__context *context,
    const ECOA__int32 a,
    const bbb__LogItem *b)
{
	ECOA__log msg;
	//
	msg.current_size = sprintf( msg.data, "Beep! (DL_Trig1) a = %u; b->timeStamp = {%u,%09u}...", a, b->timeStamp.secs, b->timeStamp.nsecs );
	BishBashBosh_modB_Im_container__log_info( context, msg );
}

void BishBashBosh_modB_Im__Bosh__received(BishBashBosh_modB_Im__context *context,
    const ECOA__int32 a,
    const bbb__LogItem *b)
{
	ECOA__log msg;
	//
	msg.current_size = sprintf( msg.data, "Bang! (DL_Trig4) a = %u; b->timeStamp = {%u,%09u}...", a, b->timeStamp.secs, b->timeStamp.nsecs );
	BishBashBosh_modB_Im_container__log_info( context, msg );
}

