/* File bbb.hpp */

#if !defined(BBB_HPP)
#define BBB_HPP

#include "ECOA.hpp" /* Fundamental types declared for the platform */

namespace bbb {


/* Array type */
const ECOA::uint32 BLOB_MAXSIZE  = 100000;
typedef struct
{
   ECOA::uint32 current_size;
   ECOA::char8 data[BLOB_MAXSIZE];
} BLOB;

/* Record type */
typedef struct
{
   ECOA::uint32 secs;
   ECOA::uint32 nsecs;
} TimeStamp;

/* Record type */
typedef struct
{
   ECOA::uint32 seq;
   TimeStamp timeStamp;
   BLOB data;
} LogItem;


} /* bbb */

#endif  /* BBB_HPP */
