/* @file BishBashBosh_modA_Im_user_context.h
 * This is an example of a user defined User Module context
 */
/*
 ##############################################################
 # (C) 2016 BAE SYSTEMS
 #
 # ECOA Bish Bash Bosh Sample
 #
 # $Id: BishBashBosh_modA_Im_user_context.h,v 1.2 2017/11/06 15:33:39 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/

#if !defined(BISHBASHBOSH_MODA_IM_USER_CONTEXT_H)
#define BISHBASHBOSH_MODA_IM_USER_CONTEXT_H

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* User Module Context structure example */
typedef struct
{
	   ECOA__int64 seq;
	   ECOA__duration TDEL;
	   ECOA__int32 count;
	   ECOA__global_time start_time;
	   /**/
} BishBashBosh_modA_Im_user_context;

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* BISHBASHBOSH_MODA_IM_USER_CONTEXT_H */
