/* File bbb.h */
#if !defined(BBB_H)
#define BBB_H

#include "ECOA.h" /* Fundamental types declared for the platform */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Array type */
#define bbb__BLOB_MAXSIZE 100000
typedef struct
{
   ECOA__uint32 current_size;
   ECOA__char8 data[bbb__BLOB_MAXSIZE];
} bbb__BLOB;

/* Record type */
typedef struct
{
   ECOA__uint32 secs;
   ECOA__uint32 nsecs;
} bbb__TimeStamp;

/* Record type */
typedef struct
{
   ECOA__uint32 seq;
   bbb__TimeStamp timeStamp;
   bbb__BLOB data;
} bbb__LogItem;


#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* BBB_H */
